OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Enumerations
ini_type.h File Reference

Types related to reading/writing '*.ini' files. More...

`#include "fileio_type.h"`

Go to the source code of this file.

## Data Structures
struct | IniItem
| A single "line" in an ini file. More...
struct | IniGroup
| A group within an ini file. More...
struct | IniLoadFile
| Ini file that only supports loading. More...
struct | IniFile
| Ini file that supports both loading and saving. More...

## Enumerations
enum | IniGroupType { IGT_VARIABLES = 0, IGT_LIST = 1, IGT_SEQUENCE = 2 }
| Types of groups. More...

## Detailed Description

Types related to reading/writing '*.ini' files.

Definition in file ini_type.h.

## Enumeration Type Documentation

enum IniGroupType

Types of groups.

Enumerator:

  IGT_VARIABLES | Values of the form "landscape = hilly".
  IGT_LIST | A list of values, separated by and terminated by the next group block.
  IGT_SEQUENCE | A list of uninterpreted lines, terminated by the next group block.

Definition at line 18 of file ini_type.h.